<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_32155ccb342f199043093" . "041c1b3bb57" => base64_decode("ZnJvbV9mb2xk" . "ZXJfaWQ="), "_80e7ee43fdf838101a2303a7b4a50ef" . "c" => base64_decode("dG9fZ" . "m9sZG" . "VyX2l" . "k"));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_32155ccb342f199043093041c" . "1b3bb57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_80e7ee43fdf838101a2303a7b" . "4a50efc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}